Skip to main content
GET
Get all accounts for current user (admin view)

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Headers

Zuba-Account-Id
string<uuid>

Optional. Names an owned sub-account (UUID) to act on. Omit to act at the master (tenant) level. Naming an account this key does not own returns 403 not_account_owner.

Query Parameters

includeInactive
boolean

Include inactive/closed accounts in results

Example:

false

Response

List of all user accounts retrieved successfully

balance
string
required

Available balance

Example:

"1500.50"

currency
string
required

Currency code

Example:

"EUR"

pendingIn
string
required

Pending incoming amount

Example:

"100.00"

pendingOut
string
required

Pending outgoing amount

Example:

"50.00"

totalBalance
string
required

Total balance (available + pending)

Example:

"1550.50"

isActive
boolean

Account status

Example:

true

lastTransactionAt
string

Last transaction date

Example:

"2025-10-29T12:00:00Z"